Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.id.enhanced
Enum OptimizerFactory.StandardOptimizerDescriptor

    java.lang.Object
      java.lang.Enum<OptimizerFactory.StandardOptimizerDescriptor>
          org.hibernate.id.enhanced.OptimizerFactory.StandardOptimizerDescriptor

All Implemented Interfaces:
  Serializable, Comparable<OptimizerFactory.StandardOptimizerDescriptor>

Enclosing class:
  OptimizerFactory

    public static enum OptimizerFactory.StandardOptimizerDescriptor

extends Enum<OptimizerFactory.StandardOptimizerDescriptor>

Enum Constant Summary
`HILO`
`LEGACY_HILO`
`NONE`
`POOLED`
`POOLED_LO`

Method Summary
`static OptimizerFactory.StandardOptimizerDescriptor` | `fromExternalName(String externalName)`
`String` | `getExternalName()`
`Class<? extends Optimizer>` | `getOptimizerClass()`
`boolean` | `isPooled()`
`static OptimizerFactory.StandardOptimizerDescriptor` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OptimizerFactory.StandardOptimizerDescriptor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OptimizerFactory.StandardOptimizerDescriptor NONE

### HILO

    public static final OptimizerFactory.StandardOptimizerDescriptor HILO

### LEGACY_HILO

    public static final OptimizerFactory.StandardOptimizerDescriptor LEGACY_HILO

### POOLED

    public static final OptimizerFactory.StandardOptimizerDescriptor POOLED

### POOLED_LO

    public static final OptimizerFactory.StandardOptimizerDescriptor POOLED_LO

Method Detail

### values

    public static OptimizerFactory.StandardOptimizerDescriptor[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OptimizerFactory.StandardOptimizerDescriptor c : OptimizerFactory.StandardOptimizerDescriptor.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OptimizerFactory.StandardOptimizerDescriptor valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getExternalName

    public String getExternalName()

### getOptimizerClass

    public Class<? extends Optimizer> getOptimizerClass()

### isPooled

    public boolean isPooled()

### fromExternalName

    public static OptimizerFactory.StandardOptimizerDescriptor fromExternalName(String externalName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.